<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<head lang="en">
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Codeigniter Admin Template and User Role Based Management System  - Documentation</title>
	<link rel="icon" type="image/png" sizes="16x16" href="../optimum/logo.png">
    <!-- Framework CSS -->
    <link rel="stylesheet" href="assets/blueprint-css/screen.css" type="text/css" media="screen, projection">
    <link rel="stylesheet" href="assets/blueprint-css/print.css" type="text/css" media="print">
    <!--[if lt IE 8]>
    <link rel="stylesheet" href="assets/blueprint-css/ie.css" type="text/css" media="screen, projection"><![endif]-->
    <link rel="stylesheet" href="assets/blueprint-css/plugins/fancy-type/screen.css" type="text/css"
          media="screen, projection">
    <style type="text/css" media="screen">
        body {
            font-size: 14px;
        }

        p, table, hr, .box {
            margin-bottom: 25px;
        }

        .box p {
            margin-bottom: 10px;
        }

        .update-title {
            font-weight: bold;
        }

        pre {
            background-color: whitesmoke;
            background-image: linear-gradient(#f5f5f5 50%, #e6e6e6 50%);
            background-size: 38px 38px;
            border: 1px solid #d4d4d4;
            display: block;
            line-height: 19px;
            margin-bottom: 10px;
            overflow-x: visible;
            overflow-y: hidden;
            padding: 0 0 0 4px;
        }

        img {
            margin: 10px 0;
        }

        .bcolor {
            color: #0d6aad;
        }
    </style>

</head>


<body>
<div class="container">

    <h3 class="center alt">&ldquo;Codeigniter Admin Template and User Role Based Management System &rdquo; Documentation by &ldquo;Ofineschool&rdquo;
        v 1.0</h3>

    <hr>

    <h2 class="center">&ldquo;Codeigniter Admin Template and User Role Based Management System&rdquo;</h2>

    <div class="borderTop" >
        <div class="span-6 colborder info prepend-1" >
            <p class="prepend-top" >
                <strong >
                    Created: 01.03.2019<br>
                    By: Ofineschool<br>
                    Email: <a href="mailto:optimumproblemsolver@gmail.com">optimumproblemsolver@gmail.com</a>
                </strong>
            </p>
        </div><!-- end div .span-6 -->

        <div class="span-12 last">
            <p class="prepend-top append-0">Thank you for purchasing our script for your project. If you have any questions that are
                beyond the scope of this help file, please feel free to email via
                my user page contact form <a href="https://codecanyon.net/user/ofineschool">here</a>. Thanks so much!</p>
        </div>
    </div><!-- end div .borderTop -->

    <hr>

    <h2 id="toc" class="alt">Table of Contents</h2>
    <ol>
        <li><a href="#introduction">Introduction</a></li>
        <li><a href="#install">Quick Install</a></li>
        <li><a href="#quick-start">Quick Start with Admin Panel</a></li>
        <li><a href="#user">User Management</a></li>
        <li><a href="#user-role">User Role & Power</a></li>
        <li><a href="#credits">Credits</a></li>

    </ol>

    <hr>

    <h3 id="introduction"><strong>1) Introduction</strong> - <a href="#toc">top</a></h3>
    <p>
        <strong> Codeigniter Admin Template </strong> is a Ultimate Codeigniter Material + Bootstrap 4 integrated admin template. We have also added User & Role management with unlimited user permissions with ajax authentication. It comes with most common features with lot of premium material and boostrap 4 forms, tables, email, ui elements, reports, charts and many more options. It will help you to build Admin panel, CMS, Employee management, CRM, or any backend administrator System. 
    </p>
    Technologies used:
    <ul>
        <li>
            PHP CodeIgniter 3
        </li>
        <li>
            HTML 5
        </li>
        <li>
            CSS (Bootstrap 4)
        </li>
        <li>
            JQUERY
        </li>
        <li>
            AJAX
        </li>
    </ul>
    <strong>Core Features:</strong>
    <ul>
        <li>Latest CodeIgniter 3.1.7</li>
        <li>Bootstrap 4 & Material Design</li>
        <li>Easy Integration & Customization</li>
        <li>Standared & clean code</li>
        <li>Fully Responsive Design</li>
        <li>User management</li>
        <li>User role management with unlimited permissions</li>
        <li>Different User Access Level (Admin and User)</li>
        <li>Activate or deactivate user Accounts</li>
        <li>Data export with(copy, csv, pdf, excel and print)</li>
        <li>Database backup option</li>
        <li>Ajax secure Authentication</li>
        <li>Jquery Data tables</li>
        <li>Jquery form validations</li>
        <li>Ajax pagination with advanced search filter  </li>
        <li>Sweetalert popup notification with ajax  </li>
        <li>Detailed Documentation with commented code</li>
        <li>Totally Secure System</li>
        <li>Runs on PHP 5.4.3+ (and PHP 7)</li>
    </ul>
    <br/>


    <strong>Integrated Features:</strong><br>
    <ul><br>
	<h5>Mail:</h5>
        <li>Inbox Tables</li>
        <li>Compose Layouts</li>
        <li>Inbox Details Tables</li>
		<br>
		
		 <h5>Ui Elements</h5>

        <li>Cards</li>
        <li>Panels and Wells</li>
        <li>panels with BlockIO </li>
        <li>Dragable Panel</li>
        <li>Dragable Portlet</li>
        <li>Buttons</li>
        <li>Bootsrap Switch</li>
        <li>Date Pagination</li>
        <li>Sweet Alert</li>
        <li>Typography</li>
		
		<li>Grid</li>
        <li>Tabs</li>
        <li>Stylish Tabs </li>
        <li>Modals</li>
        <li>Progress Bars</li>
        <li>Notifications</li>
        <li>Carousel</li>
        <li>List & Media object</li>
        <li>User Cards</li>
        <li>Timeline</li>
		
		<li>Horizontal Timeline</li>
        <li>Nesteble</li>
        <li>Range Slider</li>
        <li>Ribbons</li>
        <li>Steps</li><br>
		
		<h5>Reports:</h5>
        <li>Payment Report</li>
        <li>Income Report</li>
        <li>Sales Report</li>
		<br>
		
		<h5>Payments:</h5>
        <li>All Payments</li>
        <li>Create Payment</li>
        <li>Payment Invoice</li>
		<br>
		
        <h5>Forms</h5>
        <li>Form Basic Layout </li>
        <li>Form Layout</li>
        <li>Form Addons</li>
        <li>Form Material</li>
        <li>Form Float Input</li>
		<li>File Upload</li>
        <li>Form Mask</li>
        <li>Form Validation</li>
        <li>Form File Dropzone</li>
        <li>Form-pickerst</li>
		<li>Icheck Form Controls</li>
        <li>Form-wizards</li>
		<li>Typehead</li>
        <li>X-editable</li>
        <li>Summernote</li>
        <li>Bootstrap wysihtml5</li>
		<li>Tinymce wysihtml5</li>
       	<br>
		
		<h5>Backup Database</h5>
       	<br>
		
		<h5>Widget</h5>
       	<br>
		
		<h5>Icons</h5>
        <li>Font awesome</li>
        <li>Themify Icons</li>
        <li>Simple line Icons</li>
        <li>Weather Icons</li> <br>
		
		
		 <h5>Sample pages</h5>

        <li>Starter Page</li>
        <li>Blank Page</li>
        <li>Email Templates: Alert, Billing, Basic and Reset Password</li>
        <li>Lightbox Popup</li>
        <li>Treeview</li>
        <li>Search Result</li>
        <li>Utility Classes</li>
        <li>Custom Scrolls</li>
        <li>Login Page</li>
        <li>Login v2</li>
		
		<li>Animations</li>
        <li>Profile</li>
        <li>Invoice</li>
        <li>FAQ</li>
        <li>Gallery</li>
        <li>Pricing</li>
        <li>Register</li>
        <li>Register v2</li>
        <li>3 Step Registration</li>
        <li>Recover Password</li><br>

        <h5>Tables</h5>
        <li>Basic Tables</li>
        <li>Table Layouts</li>
        <li>Bootstrap Tables</li>
        <li>Responsive Table</li>
		<li>Editable Tables</li>
        <li>FooTables</li> <br>
        
       
        
        <h5>Pages</h5>

        <li>Blank page</li>
        <li>Login</li>
        <li>Register</li>
        <li>Lockscreen</li>
        <li>Recover password</li>
        <li>Profile page</li>
        <li>Invoice</li>
        <li>Error Pages</li><br>
        
        <h5>Logout</h5>

       
    </ul>
    <br/><br/>



    <strong>Security:</strong>
    <br/>
    There are various mechanisms to secure application. These mechanisms are:
    <ul>
        <li>Cross-Site Request Forgery (CSRF) Prevention</li>
        <li>Cross-Site Scripting (XSS) Prevention</li>
    </ul>

    <br/>
    <strong>Requirements:</strong>
    <br/>
    There are some requirements to work on your server. These requirements are:
    <ul>
        <li>PHP &gt;= 5.4.3 + (and PHP 7)</li>
    </ul>

    <hr>











    <h3 id="install"><strong>2) Install</strong> - <a href="#toc">top</a></h3>

    <p> To Install this project:</p>

    <p>
        <strong style="color: #ba2816">
            Note: Please check your PHP version before installing. In order to work properly, your PHP
            version should be at least 5.5. We recommend PHP 5.6 or PHP 7.0.
        </strong>
    </p>


    <strong>1. Create a new Database with user that has all permissions.</strong>
    <ul>
        <li>Go to Cpanel and Click MySQL® Databases<br/>
            <img src="assets/images/db_1.jpg" alt="" width="550">
        </li>
        <br/><br/>
        <li>Create New Database
            <br/>
            <img src="assets/images/db_2.jpg" alt="" width="550">
        </li>
        <br/><br/>
        <li>Add New User
            <br/>
            <img src="assets/images/db_3.jpg" alt="" width="550">
        </li>
        <br/><br/>
        <li>Add User To Database
            <br/>
            <img src="assets/images/db_4.jpg" alt="" width="550">
        </li>
        <br/><br/>
        <li>Set User Permissions
            <br/>
            <img src="assets/images/db_5.jpg" alt="" width="550">
        </li>
    </ul>

    

    <strong> 2. Upload script files to your host(ftp) / offline server xampp or wamp.</strong><br/><br>

    <strong> 3. Import <code style="color: red"> database.sql </code> file</strong><br/><br>
    
    <strong>3. Configure database connection</strong>
    <p>Goto the extract folder and Find the file: <b><code style="color: red"> application/config/database.php </code></b>.</p>
    <blockquote style="background: #f1f1f1; color: red">
        <br>
      <code> 'hostname' => 'your_host_name', </code> <br>
      <code> 'username' => 'your_username', </code> <br>
      <code> 'password' => 'your_password', </code> <br>
      <code> 'database' => 'your_database_name' </code> <br><br>
    </blockquote><br>

    <strong>4. Run project in your browser. </strong><br/><br>
    

    <i>Note: still now you cannot run your project please contact us.</i> <br><br><br>

    <hr>










    <h3 id="quick-start"><strong>3) Quick Start</strong> - <a href="#toc">top</a></h3>

    <p>
        After run project, you will be see the login page like this.<br>
        <h4>For access use this: </h4>
        <p style="color: blue"> <b> email: admin@admin.com </b> <br>
         <b> password: 1234 </b></p> <br>

        <img src="assets/images/login.png" alt="" width="750"><br><br>

        After successfuly login, you will see the "Admin Panel".<br>
        <img src="assets/images/home.png" alt="" width="750"><br><br>

        

    </p>

    <hr>


    <h3 id="user"><strong>4) User Management</strong> - <a href="#toc">top</a></h3>
    'user' section from dashboard sideber you can add, edit, delete, active / deactive users.<br>
    <img src="assets/images/user_profile.png" alt="" width="750"><br><br>

    <strong>&#x2713;&nbsp;&nbsp;Add New User: </strong> From Dashboard > Add User :  you can Add new users from this option.
        <img src="assets/images/adduser.png" alt="" width="750"><br>
        <br><br>

    <strong>&#x2713;&nbsp;&nbsp;Manage All User: </strong> From Dashboard > All User you can Edit, Delete, Activate or Deactivate any users with data export & print option.
        <img src="assets/images/user_profile.png" alt="" width="750"><br>
        <br><br>


    <hr>















    <h3 id="user-role"><strong>5) Users Role & power</strong> - <a href="#toc">top</a></h3>
    When you add/edit an user you can set thier permissions for your restricted sections like Add, Edit, Delete etc..<br>
    <img src="assets/images/user_role_power.png" alt="" width="550"><br><br>
    
    <b>User > Add user power</b> from dashboard sideber you can add user power here. <b style="color: blue">Remember</b> This power id will need to check user permissions for your restricted sections. <br>
    <img src="assets/images/power.png" alt="" width="750"><br><br>
    
    </code>
    <hr>





    <hr>
    <h3 id="credits"><strong>6) Credits</strong> - <a href="#toc">top</a></h3>

      Codeigniter Admin Template and role based management system uses the following libraries and assets:<br>
      <ul>
          <li> CodeIgniter</li>
          <li> Bootstrap</li>
          <li> Marerial Pro Template</li>
          <li> Ajax</li>
          <li> Jquery</li>
          <li> Sweetalert</li>
      </ul><br><br>



    <p class="append-bottom alt large"><strong>Ofineschool</strong></p>
    <p><a href="#toc">Go To Table of Contents</a></p>




    <hr class="space">

</div><!-- end div .container -->
</body>
</html>
